add filters for explicitly save in tab or mif in 'save as ' dialog
Easy fix?: No Copied to github as #: 15542
Description

Hi,

Current dialog is copied on OGR behaviour for Mapinfo outputs. OGR MITAB driver writes tab as default output format and .tab is written
only if that extension is written by hand.

Every user in my place dives into the caveat of saving MIF instead of tab.
Having two separate entries for Mapinfo MIF and Mapinfo TAB would solve this issue. Another option would be to have .tab extension
automatically added if no extension is given in output filename. TAB is better as a default format since it is indexed and directly usable in

Mapinfo. MIF is an interchange format which is used by userwho really want to.

Thoughts?

Associated revisions

Revision fce38c55 - 2012-11-07 12:49 PM - Radim Blazek

vector save as: separated MITAB and MIF formats, fixes #6233; added test if OGR SpatiaLite is available

History

#1 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2012-11-07 03:50 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"fce38c553352be706c3e1eb4865d88509290c856".

#3 - 2012-11-07 04:10 AM - Radim Blazek
- Resolution set to fixed

TAB and MIF formats were separated in format selection combo box.

BTW, | see as a problem that user is not warned about existence off all files, | have created new ticket #6648.

Work done by Faunalia for Agence de I'eau Adour Garonne.

2025-04-26 12




Files

save_as_tab_mif.jpg 88.2 KB 2012-08-21 Regis Haubourg

2025-04-26 22



